{{/*
Generate full image paths for KaaS CDN
*/}}

{{- define "kaas_ipam.image" -}}
{{- $image := .Values.kaas_ipam.image -}}
{{- if ($image.fullName) -}}
{{- $image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl $image.repository $image.name $image.tag -}}
{{- end -}}
{{- end -}}
